	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_CAT_PRODUCT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_TRANSLIST_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var CLOSE_CMD = null;
	var NAVIGATION_BACK_BBI = null;
	
	var LOAD_MORE_BBI = null;
	var LOAD_PREV_BBI = null;
	var LOAD_NEXT_BBI = null;
	var LOAD_PAGING_CMB = null;
	var LOAD_PAGING_IGNORE_NEXT_REQUEST = false;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_TRANSLIST_REC_TRANS_ID_CMB = null;
	var REC_TRANSLIST_CAT_PRODUCT_ID_CMB = null;
	var REC_TRANSLIST_CAT_UOM_ID_CMB = null;
	var REC_TRANSLIST_COST_BASE_TXT = null;
	var REC_TRANSLIST_COST_ACTUAL_TXT = null;
	var REC_TRANSLIST_COST_PC_TXT = null;
	var REC_TRANSLIST_COST_ALLOWANCE_TXT = null;
	var REC_TRANSLIST_PRICE_NET_TXT = null;
	var REC_TRANSLIST_ING_PRICE_TXT = null;
	var REC_TRANSLIST_ING_NET_CONTENT_TXT = null;
	var REC_TRANSLIST_STATUS_CMB = null;
	
	
	var PARAM_REC_TRANSLIST_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var TRANS_LIST_DGV = null;
	var TRANS_LIST_SH_SETTINGS_DGV = null;
	var TRANS_LIST_LAST_GET_MAP_ARRAY = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_TRANS_LIST"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_TRANS_LIST");
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_CAT_PRODUCT_ID_TRANS_LIST"))
		{
			PROPERTY_CAT_PRODUCT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_CAT_PRODUCT_ID_TRANS_LIST");
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_TRANS_LIST"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_TRANS_LIST");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
			window.close();
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_TRANS_LIST") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_TRANS_LIST")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
					
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_TRANS_LIST', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Product Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_CAT_PRODUCT_ID_TRANS_LIST', 
						PROPERTY_CAT_PRODUCT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
										
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_TRANS_LIST', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
		// Assign Fixed Parent (Must remove auto-populate at ch.js and HTTP_PARENT_LOAD at eh.js)
		// ...........................................
		/*
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARENT_SELECT_CMB"))
		{
			JSOC_CMB.VAR_ADD
			(
				"PARENT_SELECT_CMB", 
				PROPERTY_PARENT_ID,
				PROPERTY_PARENT_DESCRIPTION
			);
		}
		*/
		
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_TRANSLIST_ID"))
		{
			PROPERTY_REC_TRANSLIST_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_TRANSLIST_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_TRANSLIST_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("TRANS_LIST_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("TRANS_LIST_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons [Add Item]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("TRANS_LIST_MODAL"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						// Display Modal
						PROPERTY_REC_TRANSLIST_ID = FLAG_BIGINT_NULL;
						PROPERTY_EDIT_ROW_INDEX = -1;
						
						if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
						{
							JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
						}
						EDIT_HANDLER.REF_IS_MODIFIED = true;
						JSOC_DIALOG.VAR_MODAL("TRANS_LIST_MODAL", true);
					};					
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}	
		
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					};
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					};
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");      		
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CLOSE_CMD"))
		{
    		CLOSE_CMD = JSOC_ELEMENT.VAR_GET("CLOSE_CMD");   
			CLOSE_CMD.onclick = function()
			{
				// Ask to save
				if(EDIT_HANDLER.REF_IS_MODIFIED == true)
				{
					JSVC_INFO.VAR_ESCAPE_WITHOUT_SAVE
					(
						function(IS_PROCEED)
						{
							if(IS_PROCEED)
							{
								window.close();
							}
						}
					);
					return;
				}
				
				// Quit page
				window.close();
			};		
		}
				
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};	
		}
		
		// Initialize: Load more items to the list
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_MORE_BBI"))
		{
    		LOAD_MORE_BBI = JSOC_ELEMENT.VAR_GET("LOAD_MORE_BBI");  
			LOAD_MORE_BBI.onclick = 
				function()
				{
					HTTP_SEARCH_LOAD_MORE();
				};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PREV_BBI"))
		{
    		LOAD_PREV_BBI = JSOC_ELEMENT.VAR_GET("LOAD_PREV_BBI");  
			LOAD_PREV_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX > 0)
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX - 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_NEXT_BBI"))
		{
    		LOAD_NEXT_BBI = JSOC_ELEMENT.VAR_GET("LOAD_NEXT_BBI");  
			LOAD_NEXT_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX + 1 < JSOC_CMB.VAR_COUNT(LOAD_PAGING_CMB))
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX + 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PAGING_CMB"))
		{
    		LOAD_PAGING_CMB = JSOC_ELEMENT.VAR_GET("LOAD_PAGING_CMB");  
			LOAD_PAGING_CMB.onchange = 
				function()
				{
					HTTP_SEARCH_LOAD_PAGE();
				};
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH();};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSOC_DIALOG.VAR_LOADING_SPINNER(true);
				JSRC_THREAD.REF_POST_DELAYED			
				(
					async function()
					{
						await JSRC_EXCEL.REF_EXPORT('TRANS_LIST_DGV');
						CUS_SEND_DIALOG_TRY_DISMISS();
					},
					100
				);
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_ID_TXT"))
		{
			REC_TRANSLIST_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_ID_TXT");      
			REC_TRANSLIST_ID_TXT.onchange = 
				function()
				{
					if(REC_TRANSLIST_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_ID_TXT.onkeypress = function(){REC_TRANSLIST_ID_TXT.onchange();};
			REC_TRANSLIST_ID_TXT.onpaste = function(){REC_TRANSLIST_ID_TXT.onchange();};
			//REC_TRANSLIST_ID_TXT.oninput = function(){REC_TRANSLIST_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_REC_TRANS_ID_CMB"))
		{
			REC_TRANSLIST_REC_TRANS_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_REC_TRANS_ID_CMB");      	
			REC_TRANSLIST_REC_TRANS_ID_CMB.onchange = 
				function()
				{
					if(REC_TRANSLIST_REC_TRANS_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_REC_TRANS_ID_CMB.onkeypress = function(){REC_TRANSLIST_REC_TRANS_ID_CMB.onchange();};
			REC_TRANSLIST_REC_TRANS_ID_CMB.onpaste = function(){REC_TRANSLIST_REC_TRANS_ID_CMB.onchange();};
			//REC_TRANSLIST_REC_TRANS_ID_CMB.oninput = function(){REC_TRANSLIST_REC_TRANS_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_CAT_PRODUCT_ID_CMB"))
		{
			REC_TRANSLIST_CAT_PRODUCT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_CAT_PRODUCT_ID_CMB");      	
			REC_TRANSLIST_CAT_PRODUCT_ID_CMB.onchange = 
				function()
				{
					if(REC_TRANSLIST_CAT_PRODUCT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_CAT_PRODUCT_ID_CMB.onkeypress = function(){REC_TRANSLIST_CAT_PRODUCT_ID_CMB.onchange();};
			REC_TRANSLIST_CAT_PRODUCT_ID_CMB.onpaste = function(){REC_TRANSLIST_CAT_PRODUCT_ID_CMB.onchange();};
			//REC_TRANSLIST_CAT_PRODUCT_ID_CMB.oninput = function(){REC_TRANSLIST_CAT_PRODUCT_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_CAT_UOM_ID_CMB"))
		{
			REC_TRANSLIST_CAT_UOM_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_CAT_UOM_ID_CMB");      	
			REC_TRANSLIST_CAT_UOM_ID_CMB.onchange = 
				function()
				{
					if(REC_TRANSLIST_CAT_UOM_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_CAT_UOM_ID_CMB.onkeypress = function(){REC_TRANSLIST_CAT_UOM_ID_CMB.onchange();};
			REC_TRANSLIST_CAT_UOM_ID_CMB.onpaste = function(){REC_TRANSLIST_CAT_UOM_ID_CMB.onchange();};
			//REC_TRANSLIST_CAT_UOM_ID_CMB.oninput = function(){REC_TRANSLIST_CAT_UOM_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_COST_BASE_TXT"))
		{
			REC_TRANSLIST_COST_BASE_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_COST_BASE_TXT");      
			REC_TRANSLIST_COST_BASE_TXT.onchange = 
				function()
				{
					if(REC_TRANSLIST_COST_BASE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_COST_BASE_TXT.onkeypress = function(){REC_TRANSLIST_COST_BASE_TXT.onchange();};
			REC_TRANSLIST_COST_BASE_TXT.onpaste = function(){REC_TRANSLIST_COST_BASE_TXT.onchange();};
			//REC_TRANSLIST_COST_BASE_TXT.oninput = function(){REC_TRANSLIST_COST_BASE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_COST_ACTUAL_TXT"))
		{
			REC_TRANSLIST_COST_ACTUAL_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_COST_ACTUAL_TXT");      
			REC_TRANSLIST_COST_ACTUAL_TXT.onchange = 
				function()
				{
					if(REC_TRANSLIST_COST_ACTUAL_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_COST_ACTUAL_TXT.onkeypress = function(){REC_TRANSLIST_COST_ACTUAL_TXT.onchange();};
			REC_TRANSLIST_COST_ACTUAL_TXT.onpaste = function(){REC_TRANSLIST_COST_ACTUAL_TXT.onchange();};
			//REC_TRANSLIST_COST_ACTUAL_TXT.oninput = function(){REC_TRANSLIST_COST_ACTUAL_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_COST_PC_TXT"))
		{
			REC_TRANSLIST_COST_PC_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_COST_PC_TXT");      
			REC_TRANSLIST_COST_PC_TXT.onchange = 
				function()
				{
					if(REC_TRANSLIST_COST_PC_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_COST_PC_TXT.onkeypress = function(){REC_TRANSLIST_COST_PC_TXT.onchange();};
			REC_TRANSLIST_COST_PC_TXT.onpaste = function(){REC_TRANSLIST_COST_PC_TXT.onchange();};
			//REC_TRANSLIST_COST_PC_TXT.oninput = function(){REC_TRANSLIST_COST_PC_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_COST_ALLOWANCE_TXT"))
		{
			REC_TRANSLIST_COST_ALLOWANCE_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_COST_ALLOWANCE_TXT");      
			REC_TRANSLIST_COST_ALLOWANCE_TXT.onchange = 
				function()
				{
					if(REC_TRANSLIST_COST_ALLOWANCE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_COST_ALLOWANCE_TXT.onkeypress = function(){REC_TRANSLIST_COST_ALLOWANCE_TXT.onchange();};
			REC_TRANSLIST_COST_ALLOWANCE_TXT.onpaste = function(){REC_TRANSLIST_COST_ALLOWANCE_TXT.onchange();};
			//REC_TRANSLIST_COST_ALLOWANCE_TXT.oninput = function(){REC_TRANSLIST_COST_ALLOWANCE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_PRICE_NET_TXT"))
		{
			REC_TRANSLIST_PRICE_NET_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_PRICE_NET_TXT");      
			REC_TRANSLIST_PRICE_NET_TXT.onchange = 
				function()
				{
					if(REC_TRANSLIST_PRICE_NET_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_PRICE_NET_TXT.onkeypress = function(){REC_TRANSLIST_PRICE_NET_TXT.onchange();};
			REC_TRANSLIST_PRICE_NET_TXT.onpaste = function(){REC_TRANSLIST_PRICE_NET_TXT.onchange();};
			//REC_TRANSLIST_PRICE_NET_TXT.oninput = function(){REC_TRANSLIST_PRICE_NET_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_ING_PRICE_TXT"))
		{
			REC_TRANSLIST_ING_PRICE_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_ING_PRICE_TXT");      
			REC_TRANSLIST_ING_PRICE_TXT.onchange = 
				function()
				{
					if(REC_TRANSLIST_ING_PRICE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_ING_PRICE_TXT.onkeypress = function(){REC_TRANSLIST_ING_PRICE_TXT.onchange();};
			REC_TRANSLIST_ING_PRICE_TXT.onpaste = function(){REC_TRANSLIST_ING_PRICE_TXT.onchange();};
			//REC_TRANSLIST_ING_PRICE_TXT.oninput = function(){REC_TRANSLIST_ING_PRICE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_ING_NET_CONTENT_TXT"))
		{
			REC_TRANSLIST_ING_NET_CONTENT_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_ING_NET_CONTENT_TXT");      
			REC_TRANSLIST_ING_NET_CONTENT_TXT.onchange = 
				function()
				{
					if(REC_TRANSLIST_ING_NET_CONTENT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_ING_NET_CONTENT_TXT.onkeypress = function(){REC_TRANSLIST_ING_NET_CONTENT_TXT.onchange();};
			REC_TRANSLIST_ING_NET_CONTENT_TXT.onpaste = function(){REC_TRANSLIST_ING_NET_CONTENT_TXT.onchange();};
			//REC_TRANSLIST_ING_NET_CONTENT_TXT.oninput = function(){REC_TRANSLIST_ING_NET_CONTENT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSLIST_STATUS_CMB"))
		{
			REC_TRANSLIST_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANSLIST_STATUS_CMB");      	
			REC_TRANSLIST_STATUS_CMB.onchange = 
				function()
				{
					if(REC_TRANSLIST_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSLIST_STATUS_CMB.onkeypress = function(){REC_TRANSLIST_STATUS_CMB.onchange();};
			REC_TRANSLIST_STATUS_CMB.onpaste = function(){REC_TRANSLIST_STATUS_CMB.onchange();};
			//REC_TRANSLIST_STATUS_CMB.oninput = function(){REC_TRANSLIST_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_TRANSLIST_ID_FILE_FP"))
		{
			PARAM_REC_TRANSLIST_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_TRANSLIST_ID_FILE_FP");
			PARAM_REC_TRANSLIST_ID_FILE_FP.onchange = 
				function()
				{
					if(PARAM_REC_TRANSLIST_ID_FILE_FP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};			
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	};